#include <iostream>
int main() {
    long long int n, k, r;
    std::cin >> n >> k;
    long int p[n];
    for(int i = 0; i < n; i++){
        std::cin >> p[i];
        if (p[i] == k){
            r = (i + 1) % n;
        }
    }
    std::cout << p[r];
    return 0;
}